###############################
# Setup
###############################

###############################
# Include the template scripts
###############################

variables:
  PROJECT: ${MODULE}-test
  DEPENDENCIES: ${MODULE}
  VERSION: "1.0"
  MAINTAINER: "dune-archiso@gitlab.com"

include:
  - remote: "https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/module.repo.yaml"
  - remote: "https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/build.yml"
  - remote: "https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/load.yml"
  - remote: "https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/pages.yml"

###############################
# Build from local PKGBUILD
###############################

build_dune-mmesh-git:
  extends: .build_aur_template
  stage: .pre
  variables:
    ISAUR: "false"
    MODULE: "dune-mmesh-git"
    ISDUNEOPTS: "true"
    DUNE_VERSION: "1.2.r1.2f1580d"
  before_script:
    - echo -e '\n[dune-archiso-repository-core]\nSigLevel = Optional TrustAll\nServer = https://dune-archiso.gitlab.io/repository/dune-archiso-repository-core/$arch\n[dune-core-git]\nSigLevel = Optional TrustAll\nServer = https://dune-archiso.gitlab.io/repository/dune-core-git/$arch\n[dune-staging-git]\nSigLevel = Optional TrustAll\nServer = https://dune-archiso.gitlab.io/repository/dune-staging-git/$arch\n' | sudo tee -a /etc/pacman.conf
  after_script:
    - curl -s https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/module_test.sh | bash -e -x

###############################
# Build from local PKGBUILD
###############################

# build_dune-fem-module:
#   extends: .build_aur_template
#   stage: meta
#   variables:
#     ISAUR: "false"
#     MODULE: "dune-fem-module"
#     ISDEPENDS: "true"
#     DEPENDENCIES_PACKAGE: "dune-fem-${DUNE_VERSION}-* dune-fem-howto-${DUNE_VERSION}-* dune-vem-${DUNE_VERSION}-* dune-fem-dg-${DUNE_VERSION}-*"
#   before_script:
#     - echo -e '\n[dune-archiso-repository-core]\nSigLevel = Optional TrustAll\nServer = https://dune-archiso.gitlab.io/repository/dune-archiso-repository-core/$arch\n[dune-staging]\nSigLevel = Optional TrustAll'\nServer = https://dune-archiso.gitlab.io/repository/dune-staging/$arch\n[dune-extensions]\nSigLevel = Optional TrustAll\nServer = https://dune-archiso.gitlab.io/repository/dune-extensions/$arch\n' | sudo tee -a /etc/pacman.conf
#   needs: ["build_dune-fem", "build_dune-fem-howto", "build_dune-vem", "build_dune-fem-dg"]

###############################
# Create custom repository
###############################

load_repository_dune_grid-git_extra_modules:
  extends: .load_repository_template
  stage: load_repository
  variables:
    GIT_STRATEGY: none
  dependencies: [
      "build_dune-mmesh-git",
      # "build_dune-fem-module",
    ]

###############################
# Upload to GitLab repo (pages)
###############################

pages:
  extends: .pages_template
  stage: deploy
  variables:
    TARGET_FOLDER: "x86_64"
  needs: ["load_repository_dune_grid-git_extra_modules"]
